#include <Wire.h>
#include <Adafruit_AHTX0.h>
#include <Adafruit_BMP280.h>

Adafruit_BMP280 bmp;
Adafruit_AHTX0 aht;

void setup() {
  Serial.begin(9600);
  Serial.print("Verbinde mit BMP280...");
  while (true) {
    if (bmp.begin()) {
      break;
    }
    Serial.print(".");
    delay(5000);
  }
  Serial.println(" OK!");

  Serial.print("Verbinde mit AHT20...");
  while (true) {
    if (aht.begin()) {
      break;
    }
    Serial.print(".");
    delay(5000);
  }
  Serial.println(" OK!");

  bmp.setSampling(Adafruit_BMP280::MODE_NORMAL,
                  Adafruit_BMP280::SAMPLING_X2,
                  Adafruit_BMP280::SAMPLING_X16,
                  Adafruit_BMP280::FILTER_X16,
                  Adafruit_BMP280::STANDBY_MS_500);
}

sensors_event_t humidityEvent, temperatureEvent;
void loop() {
  aht.getEvent(&humidityEvent, &temperatureEvent);
  Serial.println("AHT20:");
	Serial.println("Temperatur: " + String(temperatureEvent.temperature) + " °C");
  Serial.println("Luftfeuchtigkeit: " + String(humidityEvent.relative_humidity) + " %");
  Serial.println("BMP280:");
  Serial.println("Temperatur: " + String(bmp.readTemperature()) + " °C");
	Serial.println("Luftdruck: " + String(bmp.readPressure()/100.) + " hPa");
  Serial.println("Ungefähre Höhe: " + String(bmp.readAltitude()) + " m über NN");

	Serial.println();
	delay(5000);
}